Get an agent bot details
curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"outgoing_url": "<string>",
"bot_type": "<string>",
"bot_config": {},
"account_id": 123,
"access_token": "<string>",
"system_bot": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get an agent bot details
Get the details of an agent bot in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
agent_bots
/
{id}
Get an agent bot details
curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/agent_bots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"outgoing_url": "<string>",
"bot_type": "<string>",
"bot_config": {},
"account_id": 123,
"access_token": "<string>",
"system_bot": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The ID of the agentbot to be updated
Response
Success
ID of the agent bot
The name of the agent bot
The description about the agent bot
The thumbnail of the agent bot
The webhook URL for the bot
The type of the bot
The configuration of the bot
Account ID if it's an account specific bot
The access token for the bot
Whether the bot is a system bot
Was this page helpful?
⌘I